Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jface.wizard
Interface IWizardPage

All Superinterfaces:
  IDialogPage

All Known Subinterfaces:
  IWorkingSetPage

All Known Implementing Classes:
  WizardPage

public interface IWizardPage
extends IDialogPage

Interface for a wizard page.

The class `WizardPage` provides an abstract implementation of this interface. However, clients are also free to implement this interface if `WizardPage` does not suit their needs.

Method Summary
`boolean` | `canFlipToNextPage()` Returns whether the next page could be displayed.
`String` | `getName()` Returns this page's name.
`IWizardPage` | `getNextPage()` Returns the wizard page that would to be shown if the user was to press the Next button.
`IWizardPage` | `getPreviousPage()` Returns the wizard page that would to be shown if the user was to press the Back button.
`IWizard` | `getWizard()` Returns the wizard that hosts this wizard page.
`boolean` | `isPageComplete()` Returns whether this page is complete or not.
`void` | `setPreviousPage(IWizardPage page)` Sets the wizard page that would typically be shown if the user was to press the Back button.
`void` | `setWizard(IWizard newWizard)` Sets the wizard that hosts this wizard page.

Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage
`createControl, dispose, getControl, getDescription, getErrorMessage, getImage, getMessage, getTitle, performHelp, setDescription, setImageDescriptor, setTitle, setVisible`

Method Detail

### canFlipToNextPage

    public boolean canFlipToNextPage()

  Returns whether the next page could be displayed.

  Returns:
    `true` if the next page could be displayed, and `false` otherwise

### getName

    public String getName()

  Returns this page's name.

  Returns:
    the name of this page

### getNextPage

    public IWizardPage getNextPage()

  Returns the wizard page that would to be shown if the user was to press the Next button.

  Returns:
    the next wizard page, or `null` if none

### getPreviousPage

    public IWizardPage getPreviousPage()

  Returns the wizard page that would to be shown if the user was to press the Back button.

  Returns:
    the previous wizard page, or `null` if none

### getWizard

    public IWizard getWizard()

  Returns the wizard that hosts this wizard page.

  Returns:
    the wizard, or `null` if this page has not been added to any wizard
  See Also:
    `setWizard(org.eclipse.jface.wizard.IWizard)`

### isPageComplete

    public boolean isPageComplete()

  Returns whether this page is complete or not.

  This information is typically used by the wizard to decide when it is okay to finish.

  Returns:
    `true` if this page is complete, and `false` otherwise

### setPreviousPage

    public void setPreviousPage(IWizardPage page)

  Sets the wizard page that would typically be shown if the user was to press the Back button.

  This method is called by the container.

  Parameters:
    `page` - the previous wizard page

### setWizard

    public void setWizard(IWizard newWizard)

  Sets the wizard that hosts this wizard page. Once established, a page's wizard cannot be changed to a different wizard.

  Parameters:
    `newWizard` - the wizard
  See Also:
    `getWizard()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.